Bug 25992 - Can not create crontab file
Can not create crontab file
Product: Red Hat Linux
Classification: Retired
Component: crontabs (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
David Lawrence
: 26107 26917 27141 27549 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2001-02-04 17:46 EST by Need Real Name
Modified: 2007-04-18 12:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-04-10 18:03:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-02-04 17:46:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.0-0.99.11 i686)

Can not create crontab file using the following command:
crontab -e

Reproducible: Always
Steps to Reproduce:
2.crontab -e
3.input the cron command
4. :wq

Actual Results:  write the crontab file into the /var/spool/cron directory	

Expected Results:  display:
no change to the file
Comment 1 Karsten Hopp 2001-02-05 07:50:41 EST
fixed in vim-6.0-0.23 (vim removed crontab file and wrote it new instead
of appending)
Comment 2 Bill Nottingham 2001-02-05 11:22:46 EST
*** Bug 26107 has been marked as a duplicate of this bug. ***
Comment 3 Bill Nottingham 2001-02-10 00:36:55 EST
*** Bug 26917 has been marked as a duplicate of this bug. ***
Comment 4 Bill Nottingham 2001-02-12 12:14:46 EST
*** Bug 27141 has been marked as a duplicate of this bug. ***
Comment 5 Bill Nottingham 2001-02-14 12:07:55 EST
*** Bug 27549 has been marked as a duplicate of this bug. ***
Comment 6 Need Real Name 2001-09-24 13:07:29 EDT
i have here the same bug:
using "crontab -e" and saving it with vi (:wq), i get:
"crontab: no changes made to crontab"

i have installed vim packages like:

(they are newer than vim-6.0-0.23)

so i don't know if this is bug of vim or crontabs.
also if i edit user's crontab with other editor (pico), then a new crontab is 

Comment 7 Michael Wardle 2002-05-08 22:06:30 EDT
I am seeing the same thing on a Red Hat 7.2 box with the latest public updates
(as of 2002-04-25) installed.  Vim version is 6.0-7.13.

Note You need to log in before you can comment on or make changes to this bug.